#ifndef MACROS_H_
#define MACROS_H_

#define ARRAY_SIZE(a)	(sizeof(a)/sizeof(a[0]))

#define MSG(fmt, arg...) \
do { \
	fprintf(stderr, "%s: " fmt "\n", \
		program_name, ##arg); \
} while (0);

#define ERROR(fmt, arg...) \
do { \
	fprintf(stderr, "%s: error: " fmt "\n", \
		program_name, ##arg); \
} while (0);

#define SYS_ERROR(fmt, arg...) \
do { \
	fprintf(stderr, "%s: error: " fmt ": %s\n", \
		program_name, ##arg, strerror(errno)); \
} while (0);

#define ERR_MSG(fmt, arg...) \
do { \
	fprintf(stderr, "%s: " fmt ": %s\n", \
		program_name, ##arg, strerror(errno)); \
} while (0);

#endif	/* MACROS_H_ */
